--- old/usr/src/lib/libm/common/LD/erfl.c	2014-11-04 19:00:00.441445128 -0500
+++ new/usr/src/lib/libm/common/LD/erfl.c	2014-11-04 19:00:00.453037538 -0500
@@ -32,7 +32,7 @@
  *			     x
  *		      2      |\
  *     erf(x)  =  ---------  | exp(-t*t)dt
- *	 	   sqrt(pi) \| 
+ *	 	   sqrt(pi) \|
  *			     0
  *
  *     erfc(x) =  1-erf(x)
@@ -40,14 +40,14 @@
  * method:
  * 	Since erf(-x) = -erf(x), we assume x>=0.
  *	For x near 0, we have the expansion
- * 
+ *
  *     	    erf(x) = (2/sqrt(pi))*(x - x^3/3 + x^5/10 - x^7/42 + ....).
  *
  * 	Since 2/sqrt(pi) = 1.128379167095512573896158903121545171688,
  *	we use x + x*P(x^2) to approximate erf(x). This formula will
  *	guarantee the error less than one ulp where x is not too far
  *	away from 0. We note that erf(x)=x at x = 0.6174...... After
- *	some experiment, we choose the following approximation on 
+ *	some experiment, we choose the following approximation on
  *	interval [0,0.84375].
  *
  *	For x in [0,0.84375]
@@ -59,17 +59,17 @@
  *		   = 0.5 + ((0.5-x)-x*P)  if x in [0.25,0.84375]
  *	precision: |P(x^2)-(erf(x)-x)/x| <= 2**-122.50
  *
- *	For x in [0.84375,1.25], let s = x - 1, and 
+ *	For x in [0.84375,1.25], let s = x - 1, and
  *	c = 0.84506291151 rounded to single (24 bits)
  *	   erf(x)  = c  + P1(s)/Q1(s)
- *	   erfc(x) = (1-c)  - P1(s)/Q1(s) 
+ *	   erfc(x) = (1-c)  - P1(s)/Q1(s)
  *	precision: |P1/Q1 - (erf(x)-c)| <= 2**-118.41
- *	
  *
- *	For x in [1.25,1.75], let s = x - 1.5, and 
+ *
+ *	For x in [1.25,1.75], let s = x - 1.5, and
  *	c = 0.95478588343 rounded to single (24 bits)
  *	   erf(x)  = c  + P2(s)/Q2(s)
- *	   erfc(x) = (1-c)  - P2(s)/Q2(s) 
+ *	   erfc(x) = (1-c)  - P2(s)/Q2(s)
  *	precision: |P1/Q1 - (erf(x)-c)| <= 2**-123.83
  *
  *
@@ -84,16 +84,16 @@
  *	precision: absolute error of R2/S2 is bounded by 2**-120.07
  *
  *	Else if inf > x >= 107
- *	   erf(x)  = 1 with inexact 
+ *	   erf(x)  = 1 with inexact
  *	   erfc(x) = 0 with underflow
- *	
+ *
  *	Special case:
  *	   erf(inf)  = 1
  *	   erfc(inf) = 0
  */
 
-#pragma weak erfl = __erfl
-#pragma weak erfcl = __erfcl
+#pragma weak __erfl = erfl
+#pragma weak __erfcl = erfcl
 
 #include "libm.h"
 #include "longdouble.h"
@@ -132,7 +132,7 @@
    8.069088733716068462496835658928566920933e-0021L,
 };
 
-/* 
+/*
  * Rational erf(x) = ((float)0.84506291151) + P1(x-1)/Q1(x-1) on [0.84375,1.25]
  */
 static long double C1   = (long double)((float)0.84506291151);
@@ -164,7 +164,7 @@
    4.753866999959432971956781228148402971454e-0006L,
   -1.002287602111660026053981728549540200683e-0006L,
 };
-/* 
+/*
  * Rational erf(x) = ((float)0.95478588343) + P2(x-1.5)/Q2(x-1.5)
  * on [1.25,1.75]
  */
@@ -274,7 +274,7 @@
    1.000L,
 };
 
-long double erfl(x) 
+long double erfl(x)
 long double x;
 {
 	long double erfcl(long double),s,y,t;
@@ -299,7 +299,7 @@
 	    s = y-onehalf;
 	    t = C2+__poly_libmq(s,12,P2)/(one+s*__poly_libmq(s,13,Q2));
 	    return (signbitl(x))? -t: t;
-	} 
+	}
 	if (y<=9.0L) t = erfcl(y); else t = tiny;
 	return (signbitl(x))? t-one: one-t;
 }
@@ -331,7 +331,7 @@
 	    s = x-onehalf;
 	    t = one-C2;
 	    return t - __poly_libmq(s,12,P2)/(one+s*__poly_libmq(s,13,Q2));
-	} 
+	}
 	if (x>=107.0L) return nearunfl*nearunfl;		/* underflow */
 	else if (x >= L16_3) {
 	    y = __poly_libmq(x,15,R2);
--- old/usr/src/lib/libm/common/LD/finitel.c	2014-11-04 19:00:00.856613852 -0500
+++ new/usr/src/lib/libm/common/LD/finitel.c	2014-11-04 19:00:00.868151882 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak finitel = __finitel
-
 #include "libm.h"
 
 #if defined(__sparc)
--- old/usr/src/lib/libm/common/LD/gammal.c	2014-11-04 19:00:01.248940764 -0500
+++ new/usr/src/lib/libm/common/LD/gammal.c	2014-11-04 19:00:01.260354348 -0500
@@ -27,14 +27,13 @@
  * Use is subject to license terms.
  */
 
-#pragma weak gammal = __gammal
+#pragma weak __gammal = gammal
 
 /*
  * long double gammal(long double x);
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 extern int signgam;
--- old/usr/src/lib/libm/common/LD/gammal_r.c	2014-11-04 19:00:01.643168611 -0500
+++ new/usr/src/lib/libm/common/LD/gammal_r.c	2014-11-04 19:00:01.654739823 -0500
@@ -31,7 +31,7 @@
  * long double gammal_r(long double x, int *signgamlp);
  */
 
-#pragma weak gammal_r = __gammal_r
+#pragma weak __gammal_r = gammal_r
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/LD/hypotl.c	2014-11-04 19:00:02.037011156 -0500
+++ new/usr/src/lib/libm/common/LD/hypotl.c	2014-11-04 19:00:02.049895402 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak hypotl = __hypotl
+#pragma weak __hypotl = hypotl
 
 /*
  * hypotl(x,y)
--- old/usr/src/lib/libm/common/LD/isnanl.c	2014-11-04 19:00:02.448195413 -0500
+++ new/usr/src/lib/libm/common/LD/isnanl.c	2014-11-04 19:00:02.470192867 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak isnanl = __isnanl
+#pragma weak __isnanl = isnanl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/LD/j0l.c	2014-11-04 19:00:02.851819003 -0500
+++ new/usr/src/lib/libm/common/LD/j0l.c	2014-11-04 19:00:02.863242972 -0500
@@ -36,11 +36,10 @@
  *	y0(-ve)=y1(-ve)=yn(n,-ve) are NaN with invalid signal.
  */
 
-#pragma weak j0l = __j0l
-#pragma weak y0l = __y0l
+#pragma weak __j0l = j0l
+#pragma weak __y0l = y0l
 
 #include "libm.h"
-#include "libm_synonyms.h"
 
 #include "longdouble.h"
 
--- old/usr/src/lib/libm/common/LD/j1l.c	2014-11-04 19:00:03.314072767 -0500
+++ new/usr/src/lib/libm/common/LD/j1l.c	2014-11-04 19:00:03.325660952 -0500
@@ -36,11 +36,10 @@
  *	y0(-ve)=y1(-ve)=yn(n,-ve) are NaN with invalid signal.
  */
 
-#pragma weak j1l = __j1l
-#pragma weak y1l = __y1l
+#pragma weak __j1l = j1l
+#pragma weak __y1l = y1l
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 #include <math.h>
 #if defined(__SUNPRO_C)
--- old/usr/src/lib/libm/common/LD/jnl.c	2014-11-04 19:00:04.239705899 -0500
+++ new/usr/src/lib/libm/common/LD/jnl.c	2014-11-04 19:00:04.251345224 -0500
@@ -27,8 +27,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak jnl = __jnl
-#pragma weak ynl = __ynl
+#pragma weak __jnl = jnl
+#pragma weak __ynl = ynl
 
 /*
  * floating point Bessel's function of the 1st and 2nd kind
--- old/usr/src/lib/libm/common/LD/lgammal.c	2014-11-04 19:00:04.666185689 -0500
+++ new/usr/src/lib/libm/common/LD/lgammal.c	2014-11-04 19:00:04.677513980 -0500
@@ -27,14 +27,13 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lgammal = __lgammal
+#pragma weak __lgammal = lgammal
 
 /*
  * long double lgammal(long double x);
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 extern int signgam;
--- old/usr/src/lib/libm/common/LD/lgammal_r.c	2014-11-04 19:00:05.060197444 -0500
+++ new/usr/src/lib/libm/common/LD/lgammal_r.c	2014-11-04 19:00:05.071597366 -0500
@@ -31,7 +31,7 @@
  * long double lgammal_r(long double x, int *signgamlp);
  */
 
-#pragma weak lgammal_r = __lgammal_r
+#pragma weak __lgammal_r = lgammal_r
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/LD/log1pl.c	2014-11-04 19:00:05.478142663 -0500
+++ new/usr/src/lib/libm/common/LD/log1pl.c	2014-11-04 19:00:05.489931903 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak log1pl = __log1pl
+#pragma weak __log1pl = log1pl
 
 /*
  * log1pl(x)
--- old/usr/src/lib/libm/common/LD/logbl.c	2014-11-04 19:00:05.873555540 -0500
+++ new/usr/src/lib/libm/common/LD/logbl.c	2014-11-04 19:00:05.885113243 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak logbl = __logbl
+#pragma weak __logbl = logbl
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
--- old/usr/src/lib/libm/common/LD/nextafterl.c	2014-11-04 19:00:06.311444982 -0500
+++ new/usr/src/lib/libm/common/LD/nextafterl.c	2014-11-04 19:00:06.323142240 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak nextafterl = __nextafterl
+#pragma weak __nextafterl = nextafterl
 
 #include "libm.h"
 #include <float.h>		/* LDBL_MAX, LDBL_MIN */
--- old/usr/src/lib/libm/common/LD/scalbl.c	2014-11-04 19:00:06.726241601 -0500
+++ new/usr/src/lib/libm/common/LD/scalbl.c	2014-11-04 19:00:06.737720746 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak scalbl = __scalbl
+#pragma weak __scalbl = scalbl
 
 /*
  * scalbl(x,n): return x * 2**n by manipulating exponent.
--- old/usr/src/lib/libm/common/LD/signgaml.c	2014-11-04 19:00:07.159591120 -0500
+++ new/usr/src/lib/libm/common/LD/signgaml.c	2014-11-04 19:00:07.171213172 -0500
@@ -27,10 +27,9 @@
  * Use is subject to license terms.
  */
 
-#pragma weak signgaml = __signgaml
+#pragma weak __signgaml = signgaml
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 int signgaml = 0;
--- old/usr/src/lib/libm/common/LD/significandl.c	2014-11-04 19:00:07.566998183 -0500
+++ new/usr/src/lib/libm/common/LD/significandl.c	2014-11-04 19:00:07.578450458 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak significandl = __significandl
+#pragma weak __significandl = significandl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/LD/sincosl.c	2014-11-04 19:00:07.988099768 -0500
+++ new/usr/src/lib/libm/common/LD/sincosl.c	2014-11-04 19:00:07.999464925 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sincosl = __sincosl
+#pragma weak __sincosl = sincosl
 
 /* INDENT OFF */
 /* cosl(x)
@@ -62,7 +62,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 #include <sys/isa_defs.h>
--- old/usr/src/lib/libm/common/LD/sincospil.c	2014-11-04 19:00:08.407862141 -0500
+++ new/usr/src/lib/libm/common/LD/sincospil.c	2014-11-04 19:00:08.419286796 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sincospil = __sincospil
-
 /*
  * void sincospil(long double x, long double *s, long double *c)
  * *s = sinl(pi*x); *c = cosl(pi*x);
@@ -71,7 +69,6 @@
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 #include <sys/isa_defs.h>
--- old/usr/src/lib/libm/common/LD/sinhl.c	2014-11-04 19:00:09.663928287 -0500
+++ new/usr/src/lib/libm/common/LD/sinhl.c	2014-11-04 19:00:09.675480505 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sinhl = __sinhl
+#pragma weak __sinhl = sinhl
 
 #include "libm.h"
 #include "longdouble.h"
@@ -37,14 +37,14 @@
  *
  * Method :
  *	1. reduce x to non-negative by SINH(-x) = - SINH(x).
- *	2. 
+ *	2.
  *
  *	                                      EXPM1(x) + EXPM1(x)/(EXPM1(x)+1)
  *	    0 <= x <= lnovft     : SINH(x) := --------------------------------
  *			       		                      2
  *
  *     lnovft <= x <  INF	 : SINH(x) := EXP(x-MEP1*ln2)*2**ME
- *	
+ *
  * here
  *	lnovft		logarithm of the overflow threshold
  *			= MEP1*ln2 chopped to machine precision.
--- old/usr/src/lib/libm/common/LD/sinl.c	2014-11-04 19:00:10.071339920 -0500
+++ new/usr/src/lib/libm/common/LD/sinl.c	2014-11-04 19:00:10.082829123 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sinl = __sinl
+#pragma weak __sinl = sinl
 
 /* INDENT OFF */
 /* sinl(x)
@@ -63,7 +63,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 #include <sys/isa_defs.h>
--- old/usr/src/lib/libm/common/LD/sinpil.c	2014-11-04 19:00:10.511700864 -0500
+++ new/usr/src/lib/libm/common/LD/sinpil.c	2014-11-04 19:00:10.523196936 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sinpil = __sinpil
-
 /* long double sinpil(long double x),
  * return long double precision sinl(pi*x).
  *
@@ -70,7 +68,6 @@
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 #include <sys/isa_defs.h>
--- old/usr/src/lib/libm/common/LD/tanhl.c	2014-11-04 19:00:10.914189348 -0500
+++ new/usr/src/lib/libm/common/LD/tanhl.c	2014-11-04 19:00:10.925823790 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak tanhl = __tanhl
+#pragma weak __tanhl = tanhl
 
 /*
  * tanhl(x) returns the hyperbolic tangent of x
--- old/usr/src/lib/libm/common/LD/tanl.c	2014-11-04 19:00:11.336252890 -0500
+++ new/usr/src/lib/libm/common/LD/tanl.c	2014-11-04 19:00:11.347609056 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak tanl = __tanl
+#pragma weak __tanl = tanl
 
 /* INDENT OFF */
 /* cosl(x)
@@ -62,7 +62,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 #include <sys/isa_defs.h>
--- old/usr/src/lib/libm/common/Q/acoshl.c	2014-11-04 19:00:11.783382419 -0500
+++ new/usr/src/lib/libm/common/Q/acoshl.c	2014-11-04 19:00:11.796123525 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak acoshl = __acoshl
+#pragma weak __acoshl = acoshl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/acosl.c	2014-11-04 19:00:12.193462919 -0500
+++ new/usr/src/lib/libm/common/Q/acosl.c	2014-11-04 19:00:12.204836541 -0500
@@ -44,7 +44,7 @@
  *	if |x|>1, return NaN with invalid signal.
  */
 
-#pragma weak acosl = __acosl
+#pragma weak __acosl = acosl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/asinhl.c	2014-11-04 19:00:12.609236705 -0500
+++ new/usr/src/lib/libm/common/Q/asinhl.c	2014-11-04 19:00:12.620774287 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak asinhl = __asinhl
+#pragma weak __asinhl = asinhl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/asinl.c	2014-11-04 19:00:13.030796139 -0500
+++ new/usr/src/lib/libm/common/Q/asinl.c	2014-11-04 19:00:13.043600455 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak asinl = __asinl
+#pragma weak __asinl = asinl
 
 /*
  *	asinl(x) = atan2l(x,sqrt(1-x*x));
--- old/usr/src/lib/libm/common/Q/atan2l.c	2014-11-04 19:00:13.432986213 -0500
+++ new/usr/src/lib/libm/common/Q/atan2l.c	2014-11-04 19:00:13.444671160 -0500
@@ -56,7 +56,7 @@
  * shown.
  */
 
-#pragma weak atan2l = __atan2l
+#pragma weak __atan2l = atan2l
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/atan2pil.c	2014-11-04 19:00:14.397539822 -0500
+++ new/usr/src/lib/libm/common/Q/atan2pil.c	2014-11-04 19:00:14.409369303 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atan2pil = __atan2pil
-
 #include "libm.h"
 
 /*
--- old/usr/src/lib/libm/common/Q/atanhl.c	2014-11-04 19:00:14.810442498 -0500
+++ new/usr/src/lib/libm/common/Q/atanhl.c	2014-11-04 19:00:14.821801492 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atanhl = __atanhl
+#pragma weak __atanhl = atanhl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/atanl.c	2014-11-04 19:00:15.238479337 -0500
+++ new/usr/src/lib/libm/common/Q/atanl.c	2014-11-04 19:00:15.249766168 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atanl = __atanl
+#pragma weak __atanl = atanl
 
 /*
  * atanl(x)
--- old/usr/src/lib/libm/common/Q/cbrtl.c	2014-11-04 19:00:15.662192595 -0500
+++ new/usr/src/lib/libm/common/Q/cbrtl.c	2014-11-04 19:00:15.673552375 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cbrtl = __cbrtl
+#pragma weak __cbrtl = cbrtl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/copysignl.c	2014-11-04 19:00:16.092024005 -0500
+++ new/usr/src/lib/libm/common/Q/copysignl.c	2014-11-04 19:00:16.103584873 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak copysignl = __copysignl
+#pragma weak __copysignl = copysignl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/coshl.c	2014-11-04 19:00:16.519064315 -0500
+++ new/usr/src/lib/libm/common/Q/coshl.c	2014-11-04 19:00:16.530287678 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak coshl = __coshl
+#pragma weak __coshl = coshl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/cosl.c	2014-11-04 19:00:16.968980566 -0500
+++ new/usr/src/lib/libm/common/Q/cosl.c	2014-11-04 19:00:16.980311115 -0500
@@ -59,7 +59,7 @@
  *	computer TRIG(x) returns trig(x) nearly rounded.
  */
 
-#pragma weak cosl = __cosl
+#pragma weak __cosl = cosl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/erfl.c	2014-11-04 19:00:17.392536062 -0500
+++ new/usr/src/lib/libm/common/Q/erfl.c	2014-11-04 19:00:17.404266862 -0500
@@ -93,8 +93,8 @@
  *	   erfc(inf) = 0
  */
 
-#pragma weak erfl = __erfl
-#pragma weak erfcl = __erfcl
+#pragma weak __erfl = erfl
+#pragma weak __erfcl = erfcl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/exp10l.c	2014-11-04 19:00:17.847189988 -0500
+++ new/usr/src/lib/libm/common/Q/exp10l.c	2014-11-04 19:00:17.858494956 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak exp10l = __exp10l
-
 #include "libm.h"
 #include "longdouble.h"
 
--- old/usr/src/lib/libm/common/Q/exp2l.c	2014-11-04 19:00:18.258331368 -0500
+++ new/usr/src/lib/libm/common/Q/exp2l.c	2014-11-04 19:00:18.269510180 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak exp2l = __exp2l
+#pragma weak __exp2l = exp2l
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/expl.c	2014-11-04 19:00:18.925522226 -0500
+++ new/usr/src/lib/libm/common/Q/expl.c	2014-11-04 19:00:18.938259676 -0500
@@ -67,7 +67,7 @@
  * hexadecimal values.
  */
 
-#pragma weak expl = __expl
+#pragma weak __expl = expl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/expm1l.c	2014-11-04 19:00:19.689323498 -0500
+++ new/usr/src/lib/libm/common/Q/expm1l.c	2014-11-04 19:00:19.701095739 -0500
@@ -27,7 +27,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak expm1l = __expm1l
+#pragma weak __expm1l = expm1l
+
 #if !defined(__sparc)
 #error Unsupported architecture
 #endif
--- old/usr/src/lib/libm/common/Q/fabsl.c	2014-11-04 19:00:20.129361980 -0500
+++ new/usr/src/lib/libm/common/Q/fabsl.c	2014-11-04 19:00:20.140700679 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fabsl = __fabsl
+#pragma weak __fabsl = fabsl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/finitel.c	2014-11-04 19:00:20.541702147 -0500
+++ new/usr/src/lib/libm/common/Q/finitel.c	2014-11-04 19:00:20.553331938 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak finitel = __finitel
-
 #include "libm.h"
 
 #if defined(__sparc)
--- old/usr/src/lib/libm/common/Q/floorl.c	2014-11-04 19:00:20.978819599 -0500
+++ new/usr/src/lib/libm/common/Q/floorl.c	2014-11-04 19:00:20.990333077 -0500
@@ -35,8 +35,8 @@
  * with the same sign as x's,  including 0.0.
  */
 
-#pragma weak ceill = __ceill
-#pragma weak floorl = __floorl
+#pragma weak __ceill = ceill
+#pragma weak __floorl = floorl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/fmodl.c	2014-11-04 19:00:21.394231289 -0500
+++ new/usr/src/lib/libm/common/Q/fmodl.c	2014-11-04 19:00:21.405706308 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fmodl = __fmodl
+#pragma weak __fmodl = fmodl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/gammal.c	2014-11-04 19:00:21.841143201 -0500
+++ new/usr/src/lib/libm/common/Q/gammal.c	2014-11-04 19:00:21.852484208 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak gammal = __gammal
+#pragma weak __gammal = gammal
 
 /*
  * long double gammal(long double x);
--- old/usr/src/lib/libm/common/Q/gammal_r.c	2014-11-04 19:00:22.243554598 -0500
+++ new/usr/src/lib/libm/common/Q/gammal_r.c	2014-11-04 19:00:22.255177322 -0500
@@ -31,7 +31,7 @@
  * long double gammal_r(long double x, int *signgamlp);
  */
 
-#pragma weak gammal_r = __gammal_r
+#pragma weak __gammal_r = gammal_r
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/hypotl.c	2014-11-04 19:00:22.675429137 -0500
+++ new/usr/src/lib/libm/common/Q/hypotl.c	2014-11-04 19:00:22.687208889 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak hypotl = __hypotl
+#pragma weak __hypotl = hypotl
 
 /*
  * long double hypotl(long double x, long double y);
--- old/usr/src/lib/libm/common/Q/ieee_funcl.c	2014-11-04 19:00:23.089829639 -0500
+++ new/usr/src/lib/libm/common/Q/ieee_funcl.c	2014-11-04 19:00:23.101219677 -0500
@@ -27,12 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak isinfl = __isinfl
-#pragma weak isnormall = __isnormall
-#pragma weak issubnormall = __issubnormall
-#pragma weak iszerol = __iszerol
-#pragma weak signbitl = __signbitl
-
 #include "libm.h"
 
 #if defined(__sparc)
--- old/usr/src/lib/libm/common/Q/ilogbl.c	2014-11-04 19:00:23.524995632 -0500
+++ new/usr/src/lib/libm/common/Q/ilogbl.c	2014-11-04 19:00:23.536444852 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ilogbl = __ilogbl
+#pragma weak __ilogbl = ilogbl
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
--- old/usr/src/lib/libm/common/Q/isnanl.c	2014-11-04 19:00:24.572433354 -0500
+++ new/usr/src/lib/libm/common/Q/isnanl.c	2014-11-04 19:00:24.584044808 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak isnanl = __isnanl
+#pragma weak __isnanl = isnanl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/j0l.c	2014-11-04 19:00:24.997164991 -0500
+++ new/usr/src/lib/libm/common/Q/j0l.c	2014-11-04 19:00:25.010750451 -0500
@@ -36,8 +36,8 @@
  *	y0(-ve)=y1(-ve)=yn(n,-ve) are NaN with invalid signal.
  */
 
-#pragma weak j0l = __j0l
-#pragma weak y0l = __y0l
+#pragma weak __j0l = j0l
+#pragma weak __y0l = y0l
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/j1l.c	2014-11-04 19:00:25.443710820 -0500
+++ new/usr/src/lib/libm/common/Q/j1l.c	2014-11-04 19:00:25.455466396 -0500
@@ -36,8 +36,8 @@
  *	y0(-ve)=y1(-ve)=yn(n,-ve) are NaN with invalid signal.
  */
 
-#pragma weak j1l = __j1l
-#pragma weak y1l = __y1l
+#pragma weak __j1l = j1l
+#pragma weak __y1l = y1l
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/jnl.c	2014-11-04 19:00:25.900690809 -0500
+++ new/usr/src/lib/libm/common/Q/jnl.c	2014-11-04 19:00:25.912262035 -0500
@@ -27,8 +27,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak jnl = __jnl
-#pragma weak ynl = __ynl
+#pragma weak __jnl = jnl
+#pragma weak __ynl = ynl
 
 /*
  * floating point Bessel's function of the 1st and 2nd kind
--- old/usr/src/lib/libm/common/Q/lgammal.c	2014-11-04 19:00:26.346072908 -0500
+++ new/usr/src/lib/libm/common/Q/lgammal.c	2014-11-04 19:00:26.357606215 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lgammal = __lgammal
+#pragma weak __lgammal = lgammal
 
 /*
  * long double lgammal(long double x);
--- old/usr/src/lib/libm/common/Q/lgammal_r.c	2014-11-04 19:00:26.742332768 -0500
+++ new/usr/src/lib/libm/common/Q/lgammal_r.c	2014-11-04 19:00:26.753807717 -0500
@@ -31,7 +31,7 @@
  * long double lgammal_r(long double x, int *signgamlp);
  */
 
-#pragma weak lgammal_r = __lgammal_r
+#pragma weak __lgammal_r = lgammal_r
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/log10l.c	2014-11-04 19:00:27.148427788 -0500
+++ new/usr/src/lib/libm/common/Q/log10l.c	2014-11-04 19:00:27.159814164 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak log10l = __log10l
+#pragma weak __log10l = log10l
 
 /*
  * log10l(X)
--- old/usr/src/lib/libm/common/Q/log1pl.c	2014-11-04 19:00:27.546816538 -0500
+++ new/usr/src/lib/libm/common/Q/log1pl.c	2014-11-04 19:00:27.558224462 -0500
@@ -109,7 +109,7 @@
  * shown.
  */
 
-#pragma weak log1pl = __log1pl
+#pragma weak __log1pl = log1pl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/log2l.c	2014-11-04 19:00:27.952525398 -0500
+++ new/usr/src/lib/libm/common/Q/log2l.c	2014-11-04 19:00:27.963910045 -0500
@@ -39,7 +39,7 @@
  *	LOG2(x) = n + (1/ln2)*log(x)
  */
 
-#pragma weak log2l = __log2l
+#pragma weak __log2l = log2l
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/logbl.c	2014-11-04 19:00:28.348970440 -0500
+++ new/usr/src/lib/libm/common/Q/logbl.c	2014-11-04 19:00:28.360439419 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak logbl = __logbl
+#pragma weak __logbl = logbl
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
--- old/usr/src/lib/libm/common/Q/logl.c	2014-11-04 19:00:29.361505295 -0500
+++ new/usr/src/lib/libm/common/Q/logl.c	2014-11-04 19:00:29.373706607 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak logl = __logl
+#pragma weak __logl = logl
 
 /*
  * logl(x)
--- old/usr/src/lib/libm/common/Q/nextafterl.c	2014-11-04 19:00:29.847258612 -0500
+++ new/usr/src/lib/libm/common/Q/nextafterl.c	2014-11-04 19:00:29.858565670 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak nextafterl = __nextafterl
+#pragma weak __nextafterl = nextafterl
 
 #include "libm.h"
 #include <float.h>		/* LDBL_MAX, LDBL_MIN */
--- old/usr/src/lib/libm/common/Q/powl.c	2014-11-04 19:00:30.251813054 -0500
+++ new/usr/src/lib/libm/common/Q/powl.c	2014-11-04 19:00:30.263376075 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak powl = __powl
+#pragma weak __powl = powl
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
--- old/usr/src/lib/libm/common/Q/remainderl.c	2014-11-04 19:00:30.670481566 -0500
+++ new/usr/src/lib/libm/common/Q/remainderl.c	2014-11-04 19:00:30.681816686 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak remainderl = __remainderl
+#pragma weak __remainderl = remainderl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/rintl.c	2014-11-04 19:00:31.069444933 -0500
+++ new/usr/src/lib/libm/common/Q/rintl.c	2014-11-04 19:00:31.080785614 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak rintl = __rintl
+#pragma weak __rintl = rintl
 
 /*
  * rintl(long double x) return x rounded to integral according to
--- old/usr/src/lib/libm/common/Q/rndintl.c	2014-11-04 19:00:31.465833384 -0500
+++ new/usr/src/lib/libm/common/Q/rndintl.c	2014-11-04 19:00:31.477149324 -0500
@@ -26,11 +26,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak aintl = __aintl
-#pragma weak anintl = __anintl
-#pragma weak irintl = __irintl
-#pragma weak nintl = __nintl
-
 /*
  * aintl(x)	return x chopped to integral value
  * anintl(x)	return sign(x)*(|x|+0.5) chopped to integral value
--- old/usr/src/lib/libm/common/Q/scalbl.c	2014-11-04 19:00:31.863631404 -0500
+++ new/usr/src/lib/libm/common/Q/scalbl.c	2014-11-04 19:00:31.874989407 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak scalbl = __scalbl
+#pragma weak __scalbl = scalbl
 
 /*
  * scalbl(x,n): return x * 2^n by manipulating exponent.
--- old/usr/src/lib/libm/common/Q/scalbnl.c	2014-11-04 19:00:32.259651073 -0500
+++ new/usr/src/lib/libm/common/Q/scalbnl.c	2014-11-04 19:00:32.271283472 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak scalbnl = __scalbnl
+#pragma weak __scalbnl = scalbnl
 
 #include "libm.h"
 #include <float.h>		/* LDBL_MAX, LDBL_MIN */
--- old/usr/src/lib/libm/common/Q/signgaml.c	2014-11-04 19:00:32.668793990 -0500
+++ new/usr/src/lib/libm/common/Q/signgaml.c	2014-11-04 19:00:32.679968989 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak signgaml = __signgaml
+#pragma weak __signgaml = signgaml
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/significandl.c	2014-11-04 19:00:33.072821904 -0500
+++ new/usr/src/lib/libm/common/Q/significandl.c	2014-11-04 19:00:33.084138633 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak significandl = __significandl
+#pragma weak __significandl = significandl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/Q/sincosl.c	2014-11-04 19:00:33.467685737 -0500
+++ new/usr/src/lib/libm/common/Q/sincosl.c	2014-11-04 19:00:33.479037383 -0500
@@ -58,7 +58,7 @@
  *	computer TRIG(x) returns trig(x) nearly rounded.
  */
 
-#pragma weak sincosl = __sincosl
+#pragma weak __sincosl = sincosl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/sincospil.c	2014-11-04 19:00:34.505652961 -0500
+++ new/usr/src/lib/libm/common/Q/sincospil.c	2014-11-04 19:00:34.517225436 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sincospil = __sincospil
-
 /*
  * void sincospil(long double x, long double *s, long double *c)
  * *s = sinl(pi*x); *c = cosl(pi*x);
--- old/usr/src/lib/libm/common/Q/sinhl.c	2014-11-04 19:00:34.938600041 -0500
+++ new/usr/src/lib/libm/common/Q/sinhl.c	2014-11-04 19:00:34.950021670 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sinhl = __sinhl
+#pragma weak __sinhl = sinhl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/sinl.c	2014-11-04 19:00:35.358969787 -0500
+++ new/usr/src/lib/libm/common/Q/sinl.c	2014-11-04 19:00:35.371241323 -0500
@@ -59,7 +59,7 @@
  *	computer TRIG(x) returns trig(x) nearly rounded.
  */
 
-#pragma weak sinl = __sinl
+#pragma weak __sinl = sinl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/sinpil.c	2014-11-04 19:00:35.758305730 -0500
+++ new/usr/src/lib/libm/common/Q/sinpil.c	2014-11-04 19:00:35.769787212 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sinpil = __sinpil
-
 /*
  * long double sinpil(long double x),
  * return long double precision sinl(pi*x).
--- old/usr/src/lib/libm/common/Q/sqrtl.c	2014-11-04 19:00:36.185982927 -0500
+++ new/usr/src/lib/libm/common/Q/sqrtl.c	2014-11-04 19:00:36.197469457 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sqrtl = __sqrtl
+#pragma weak __sqrtl = sqrtl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/Q/tanhl.c	2014-11-04 19:00:36.644556081 -0500
+++ new/usr/src/lib/libm/common/Q/tanhl.c	2014-11-04 19:00:36.656162154 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak tanhl = __tanhl
+#pragma weak __tanhl = tanhl
 
 /*
  * tanhl(x) returns the hyperbolic tangent of x
--- old/usr/src/lib/libm/common/Q/tanl.c	2014-11-04 19:00:37.061085420 -0500
+++ new/usr/src/lib/libm/common/Q/tanl.c	2014-11-04 19:00:37.072454356 -0500
@@ -58,7 +58,7 @@
  *	computer TRIG(x) returns trig(x) nearly rounded.
  */
 
-#pragma weak tanl = __tanl
+#pragma weak __tanl = tanl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/R/acosf.c	2014-11-04 19:00:37.467892066 -0500
+++ new/usr/src/lib/libm/common/R/acosf.c	2014-11-04 19:00:37.479455655 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak acosf = __acosf
+#pragma weak __acosf = acosf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/acoshf.c	2014-11-04 19:00:37.860455511 -0500
+++ new/usr/src/lib/libm/common/R/acoshf.c	2014-11-04 19:00:37.871936337 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak acoshf = __acoshf
+#pragma weak __acoshf = acoshf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/asinf.c	2014-11-04 19:00:38.253416201 -0500
+++ new/usr/src/lib/libm/common/R/asinf.c	2014-11-04 19:00:38.264968731 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak asinf = __asinf
+#pragma weak __asinf = asinf
 
 #include "libm.h"
 
